---
title: Delete an incident impact field
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Delete an incident impact field{% #delete-an-incident-impact-field %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                          |
| ----------------- | ------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/incidents/config/impact-fields/{field_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/incidents/config/impact-fields/{field_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/incidents/config/impact-fields/{field_id}  |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id} |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/incidents/config/impact-fields/{field_id} |

### Overview

Delete an impact field for incidents. This endpoint requires the `incident_settings_write` permission.

OAuth apps require the `incident_settings_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Arguments

#### Path Parameters

| Name                       | Type   | Description                   |
| -------------------------- | ------ | ----------------------------- |
| field_id [*required*] | string | The UUID of the impact field. |

### Response

{% tab title="204" %}
No Content
{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export field_id="CHANGE_ME" \# Curl command curl -X DELETE "https://api.datadoghq.com/api/v2/incidents/config/impact-fields/${field_id}" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
